hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From templ...@apache.org
Subject hadoop git commit: HADOOP-14897. Loosen compatibility guidelines for native dependencies
Date Mon, 25 Sep 2017 14:15:08 GMT
Repository: hadoop
Updated Branches:
  refs/heads/trunk d0b2c5850 -> 080747080


HADOOP-14897. Loosen compatibility guidelines for native dependencies


Project: http://git-wip-us.apache.org/repos/asf/hadoop/repo
Commit: http://git-wip-us.apache.org/repos/asf/hadoop/commit/08074708
Tree: http://git-wip-us.apache.org/repos/asf/hadoop/tree/08074708
Diff: http://git-wip-us.apache.org/repos/asf/hadoop/diff/08074708

Branch: refs/heads/trunk
Commit: 0807470808156af13e0992285cac070052d86c26
Parents: d0b2c58
Author: Daniel Templeton <templedf@apache.org>
Authored: Mon Sep 25 14:12:25 2017 +0200
Committer: Daniel Templeton <templedf@apache.org>
Committed: Mon Sep 25 14:12:25 2017 +0200

----------------------------------------------------------------------
 .../hadoop-common/src/site/markdown/Compatibility.md      | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hadoop/blob/08074708/hadoop-common-project/hadoop-common/src/site/markdown/Compatibility.md
----------------------------------------------------------------------
diff --git a/hadoop-common-project/hadoop-common/src/site/markdown/Compatibility.md b/hadoop-common-project/hadoop-common/src/site/markdown/Compatibility.md
index 4fa8c02..47fa09a 100644
--- a/hadoop-common-project/hadoop-common/src/site/markdown/Compatibility.md
+++ b/hadoop-common-project/hadoop-common/src/site/markdown/Compatibility.md
@@ -191,9 +191,13 @@ dependencies is part of the Hadoop ABI.
 
 The minimum required versions of the native components on which Hadoop depends
 at compile time and/or runtime SHALL be considered
-[Stable](./InterfaceClassification.html#Stable). Changes to the minimum
-required versions MUST NOT increase between minor releases within a major
-version.
+[Evolving](./InterfaceClassification.html#Evolving). Changes to the minimum
+required versions SHOULD NOT increase between minor releases within a major
+version, though updates because of security issues, license issues, or other
+reasons may occur. When the native components on which Hadoop depends must
+be updated between minor releases within a major release, where possible the
+changes SHOULD only change the minor versions of the components without
+changing the major versions.
 
 ### Wire Protocols
 


---------------------------------------------------------------------
To unsubscribe, e-mail: common-commits-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-commits-help@hadoop.apache.org


Mime
View raw message